SUSE: 2022:2230-1 important: the Linux Kernel (Live Patch 26 for SL...

Advisories


   SUSE Security Update: Security update for the Linux Kernel (Live Patch 26 for SLE 15 SP2)
______________________________________________________________________________

Announcement ID:    SUSE-SU-2022:2230-1
Rating:             important
References:         #1199606 #1199648 #1200268 
Cross-References:   CVE-2022-1116 CVE-2022-1734 CVE-2022-1966
                    CVE-2022-32250
CVSS scores:
                    CVE-2022-1116 (NVD) : 7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
                    CVE-2022-1116 (SUSE): 7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
                    CVE-2022-1734 (NVD) : 7 CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H
                    CVE-2022-1734 (SUSE): 7.4 CVSS:3.1/AV:L/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H
                    CVE-2022-1966 (NVD) : 7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
                    CVE-2022-1966 (SUSE): 7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
                    CVE-2022-32250 (NVD) : 7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
                    CVE-2022-32250 (SUSE): 7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

Affected Products:
                    SUSE Linux Enterprise High Performance Computing 15-SP2
                    SUSE Linux Enterprise Module for Live Patching 15-SP2
                    SUSE Linux Enterprise Server 15-SP2
                    SUSE Linux Enterprise Server for SAP Applications 15-SP2
______________________________________________________________________________

   An update that fixes four vulnerabilities is now available.

Description:

   This update for the Linux Kernel 5.3.18-150200_24_112 fixes several issues.

   The following security issues were fixed:

   - CVE-2022-32250: Fixed an use-after-free bug in the netfilter subsystem.
     This flaw allowed a local attacker with user access to cause a privilege
     escalation issue. (bnc#1200015)
   - CVE-2022-1116: Fixed an integer overflow vulnerability in io_uring that
     allows local attacker to cause memory corruption and escalate privileges
     to root. (bsc#1199647) versions.
   - CVE-2022-1734: Fixed a r/w use-after-free when non synchronized between
     cleanup routine and firmware download routine. (bnc#1199605)


Patch Instructions:

   To install this SUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - SUSE Linux Enterprise Module for Live Patching 15-SP2:

      zypper in -t patch SUSE-SLE-Module-Live-Patching-15-SP2-2022-2225=1 SUSE-SLE-Module-Live-Patching-15-SP2-2022-2226=1 SUSE-SLE-Module-Live-Patching-15-SP2-2022-2227=1 SUSE-SLE-Module-Live-Patching-15-SP2-2022-2228=1 SUSE-SLE-Module-Live-Patching-15-SP2-2022-2229=1 SUSE-SLE-Module-Live-Patching-15-SP2-2022-2230=1 SUSE-SLE-Module-Live-Patching-15-SP2-2022-2231=1 SUSE-SLE-Module-Live-Patching-15-SP2-2022-2232=1 SUSE-SLE-Module-Live-Patching-15-SP2-2022-2233=1 SUSE-SLE-Module-Live-Patching-15-SP2-2022-2234=1 SUSE-SLE-Module-Live-Patching-15-SP2-2022-2235=1 SUSE-SLE-Module-Live-Patching-15-SP2-2022-2236=1



Package List:

   - SUSE Linux Enterprise Module for Live Patching 15-SP2 (ppc64le s390x x86_64):

      kernel-livepatch-5_3_18-150200_24_112-default-4-150200.2.2
      kernel-livepatch-5_3_18-150200_24_112-default-debuginfo-4-150200.2.2
      kernel-livepatch-5_3_18-24_102-default-9-150200.2.2
      kernel-livepatch-5_3_18-24_102-default-debuginfo-9-150200.2.2
      kernel-livepatch-5_3_18-24_107-default-8-150200.2.2
      kernel-livepatch-5_3_18-24_107-default-debuginfo-8-150200.2.2
      kernel-livepatch-5_3_18-24_53_4-default-17-150200.2.2
      kernel-livepatch-5_3_18-24_53_4-default-debuginfo-17-150200.2.2
      kernel-livepatch-5_3_18-24_70-default-17-150200.2.2
      kernel-livepatch-5_3_18-24_70-default-debuginfo-17-150200.2.2
      kernel-livepatch-5_3_18-24_75-default-16-150200.2.2
      kernel-livepatch-5_3_18-24_75-default-debuginfo-16-150200.2.2
      kernel-livepatch-5_3_18-24_78-default-15-150200.2.2
      kernel-livepatch-5_3_18-24_78-default-debuginfo-15-150200.2.2
      kernel-livepatch-5_3_18-24_83-default-13-150200.2.2
      kernel-livepatch-5_3_18-24_83-default-debuginfo-13-150200.2.2
      kernel-livepatch-5_3_18-24_86-default-13-150200.2.2
      kernel-livepatch-5_3_18-24_86-default-debuginfo-13-150200.2.2
      kernel-livepatch-5_3_18-24_93-default-12-150200.2.2
      kernel-livepatch-5_3_18-24_93-default-debuginfo-12-150200.2.2
      kernel-livepatch-5_3_18-24_96-default-11-150200.2.2
      kernel-livepatch-5_3_18-24_96-default-debuginfo-11-150200.2.2
      kernel-livepatch-5_3_18-24_99-default-10-150200.2.2
      kernel-livepatch-5_3_18-24_99-default-debuginfo-10-150200.2.2
      kernel-livepatch-SLE15-SP2_Update_15-debugsource-17-150200.2.2
      kernel-livepatch-SLE15-SP2_Update_16-debugsource-17-150200.2.2
      kernel-livepatch-SLE15-SP2_Update_17-debugsource-16-150200.2.2
      kernel-livepatch-SLE15-SP2_Update_18-debugsource-15-150200.2.2
      kernel-livepatch-SLE15-SP2_Update_19-debugsource-13-150200.2.2
      kernel-livepatch-SLE15-SP2_Update_20-debugsource-13-150200.2.2
      kernel-livepatch-SLE15-SP2_Update_21-debugsource-12-150200.2.2
      kernel-livepatch-SLE15-SP2_Update_22-debugsource-11-150200.2.2
      kernel-livepatch-SLE15-SP2_Update_23-debugsource-10-150200.2.2
      kernel-livepatch-SLE15-SP2_Update_24-debugsource-9-150200.2.2
      kernel-livepatch-SLE15-SP2_Update_26-debugsource-4-150200.2.2

   - SUSE Linux Enterprise Module for Live Patching 15-SP2 (ppc64le x86_64):

      kernel-livepatch-SLE15-SP2_Update_25-debugsource-8-150200.2.2


References:

   https://www.suse.com/security/cve/CVE-2022-1116.html
   https://www.suse.com/security/cve/CVE-2022-1734.html
   https://www.suse.com/security/cve/CVE-2022-1966.html
   https://www.suse.com/security/cve/CVE-2022-32250.html
   https://bugzilla.suse.com/1199606
   https://bugzilla.suse.com/1199648
   https://bugzilla.suse.com/1200268

SUSE: 2022:2230-1 important: the Linux Kernel (Live Patch 26 for SLE 15 SP2)

July 1, 2022
An update that fixes four vulnerabilities is now available

Summary

This update for the Linux Kernel 5.3.18-150200_24_112 fixes several issues. The following security issues were fixed: - CVE-2022-32250: Fixed an use-after-free bug in the netfilter subsystem. This flaw allowed a local attacker with user access to cause a privilege escalation issue. (bnc#1200015) - CVE-2022-1116: Fixed an integer overflow vulnerability in io_uring that allows local attacker to cause memory corruption and escalate privileges to root. (bsc#1199647) versions. - CVE-2022-1734: Fixed a r/w use-after-free when non synchronized between cleanup routine and firmware download routine. (bnc#1199605) Patch Instructions: To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: - SUSE Linux Enterprise Module for Live Patching 15-SP2: zypper in -t patch SUSE-SLE-Module-Live-Patching-15-SP2-2022-2225=1 SUSE-SLE-Module-Live-Patching-15-SP2-2022-2226=1 SUSE-SLE-Module-Live-Patching-15-SP2-2022-2227=1 SUSE-SLE-Module-Live-Patching-15-SP2-2022-2228=1 SUSE-SLE-Module-Live-Patching-15-SP2-2022-2229=1 SUSE-SLE-Module-Live-Patching-15-SP2-2022-2230=1 SUSE-SLE-Module-Live-Patching-15-SP2-2022-2231=1 SUSE-SLE-Module-Live-Patching-15-SP2-2022-2232=1 SUSE-SLE-Module-Live-Patching-15-SP2-2022-2233=1 SUSE-SLE-Module-Live-Patching-15-SP2-2022-2234=1 SUSE-SLE-Module-Live-Patching-15-SP2-2022-2235=1 SUSE-SLE-Module-Live-Patching-15-SP2-2022-2236=1 Package List: - SUSE Linux Enterprise Module for Live Patching 15-SP2 (ppc64le s390x x86_64): kernel-livepatch-5_3_18-150200_24_112-default-4-150200.2.2 kernel-livepatch-5_3_18-150200_24_112-default-debuginfo-4-150200.2.2 kernel-livepatch-5_3_18-24_102-default-9-150200.2.2 kernel-livepatch-5_3_18-24_102-default-debuginfo-9-150200.2.2 kernel-livepatch-5_3_18-24_107-default-8-150200.2.2 kernel-livepatch-5_3_18-24_107-default-debuginfo-8-150200.2.2 kernel-livepatch-5_3_18-24_53_4-default-17-150200.2.2 kernel-livepatch-5_3_18-24_53_4-default-debuginfo-17-150200.2.2 kernel-livepatch-5_3_18-24_70-default-17-150200.2.2 kernel-livepatch-5_3_18-24_70-default-debuginfo-17-150200.2.2 kernel-livepatch-5_3_18-24_75-default-16-150200.2.2 kernel-livepatch-5_3_18-24_75-default-debuginfo-16-150200.2.2 kernel-livepatch-5_3_18-24_78-default-15-150200.2.2 kernel-livepatch-5_3_18-24_78-default-debuginfo-15-150200.2.2 kernel-livepatch-5_3_18-24_83-default-13-150200.2.2 kernel-livepatch-5_3_18-24_83-default-debuginfo-13-150200.2.2 kernel-livepatch-5_3_18-24_86-default-13-150200.2.2 kernel-livepatch-5_3_18-24_86-default-debuginfo-13-150200.2.2 kernel-livepatch-5_3_18-24_93-default-12-150200.2.2 kernel-livepatch-5_3_18-24_93-default-debuginfo-12-150200.2.2 kernel-livepatch-5_3_18-24_96-default-11-150200.2.2 kernel-livepatch-5_3_18-24_96-default-debuginfo-11-150200.2.2 kernel-livepatch-5_3_18-24_99-default-10-150200.2.2 kernel-livepatch-5_3_18-24_99-default-debuginfo-10-150200.2.2 kernel-livepatch-SLE15-SP2_Update_15-debugsource-17-150200.2.2 kernel-livepatch-SLE15-SP2_Update_16-debugsource-17-150200.2.2 kernel-livepatch-SLE15-SP2_Update_17-debugsource-16-150200.2.2 kernel-livepatch-SLE15-SP2_Update_18-debugsource-15-150200.2.2 kernel-livepatch-SLE15-SP2_Update_19-debugsource-13-150200.2.2 kernel-livepatch-SLE15-SP2_Update_20-debugsource-13-150200.2.2 kernel-livepatch-SLE15-SP2_Update_21-debugsource-12-150200.2.2 kernel-livepatch-SLE15-SP2_Update_22-debugsource-11-150200.2.2 kernel-livepatch-SLE15-SP2_Update_23-debugsource-10-150200.2.2 kernel-livepatch-SLE15-SP2_Update_24-debugsource-9-150200.2.2 kernel-livepatch-SLE15-SP2_Update_26-debugsource-4-150200.2.2 - SUSE Linux Enterprise Module for Live Patching 15-SP2 (ppc64le x86_64): kernel-livepatch-SLE15-SP2_Update_25-debugsource-8-150200.2.2

References

#1199606 #1199648 #1200268

Cross- CVE-2022-1116 CVE-2022-1734 CVE-2022-1966

CVE-2022-32250

CVSS scores:

CVE-2022-1116 (NVD) : 7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

CVE-2022-1116 (SUSE): 7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

CVE-2022-1734 (NVD) : 7 CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H

CVE-2022-1734 (SUSE): 7.4 CVSS:3.1/AV:L/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H

CVE-2022-1966 (NVD) : 7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

CVE-2022-1966 (SUSE): 7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

CVE-2022-32250 (NVD) : 7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

CVE-2022-32250 (SUSE): 7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

Affected Products:

SUSE Linux Enterprise High Performance Computing 15-SP2

SUSE Linux Enterprise Module for Live Patching 15-SP2

SUSE Linux Enterprise Server 15-SP2

SUSE Linux Enterprise Server for SAP Applications 15-SP2

https://www.suse.com/security/cve/CVE-2022-1116.html

https://www.suse.com/security/cve/CVE-2022-1734.html

https://www.suse.com/security/cve/CVE-2022-1966.html

https://www.suse.com/security/cve/CVE-2022-32250.html

https://bugzilla.suse.com/1199606

https://bugzilla.suse.com/1199648

https://bugzilla.suse.com/1200268

Severity
Announcement ID: SUSE-SU-2022:2230-1
Rating: important

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.